package de.frajul.endlessroll.entities.particles.attributes.attributeValues;

/**
 * Created by Julian on 02.08.2016.
 */
public class Options extends ParticleAttributeValue {

    private boolean attached;
    private boolean continuous;
    private boolean aligned;
    private boolean additive;
    private boolean behind;
    private boolean premultipliedAlpha;

    public Options() {
        super(ParticleAttributeValueType.OPTIONS);
    }

    public boolean isAttached() {
        return attached;
    }

    public void setAttached(boolean attached) {
        this.attached = attached;
    }

    public boolean isContinuous() {
        return continuous;
    }

    public void setContinuous(boolean continuous) {
        this.continuous = continuous;
    }

    public boolean isAligned() {
        return aligned;
    }

    public void setAligned(boolean aligned) {
        this.aligned = aligned;
    }

    public boolean isAdditive() {
        return additive;
    }

    public void setAdditive(boolean additive) {
        this.additive = additive;
    }

    public boolean isBehind() {
        return behind;
    }

    public void setBehind(boolean behind) {
        this.behind = behind;
    }

    public boolean isPremultipliedAlpha() {
        return premultipliedAlpha;
    }

    public void setPremultipliedAlpha(boolean premultipliedAlpha) {
        this.premultipliedAlpha = premultipliedAlpha;
    }
}
